import { PropType } from "vue";
import { Position } from "./utils";
import type { PanelProps } from "./types";
declare const _default: import("vue").DefineComponent<{
    initialIsOpen: {
        type: BooleanConstructor;
        default: boolean;
    };
    panelProps: {
        type: PropType<PanelProps>;
        default: {};
    };
    closeButtonProps: {
        type: PropType<Partial<HTMLButtonElement>>;
        default: {};
    };
    toggleButtonProps: {
        type: PropType<Partial<HTMLButtonElement>>;
        default: {};
    };
    position: {
        type: PropType<Position>;
        default: Position;
    };
    containerElement: {
        type: StringConstructor;
        default: string;
    };
}, {
    isOpen: import("vue").Ref<boolean>;
    devtoolsHeight: import("vue").Ref<number>;
    onToggleClick: () => void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    initialIsOpen: boolean;
    panelProps: PanelProps;
    closeButtonProps: Partial<HTMLButtonElement>;
    toggleButtonProps: Partial<HTMLButtonElement>;
    position: Position;
    containerElement: string;
} & {}>, {
    initialIsOpen: boolean;
    panelProps: PanelProps;
    closeButtonProps: Partial<HTMLButtonElement>;
    toggleButtonProps: Partial<HTMLButtonElement>;
    position: Position;
    containerElement: string;
}>;
export default _default;
